Questions about the inter-compatibility of different brick sets, or between bricks and some other objects.

learn more… | top users | synonyms

14
votes
4answers
9k views

Will Mindstorms EV3 be backwards compatible?

LEGO Group announced the next Mindstorms version, the EV3 which will be available in the Fall, 2013. Does anyone know if the new version, specifically the controller, will be backwards compatible ...
10
votes
2answers
2k views

Are the LEGO Friends Mini-dolls compatible with Minifigures?

I've seen the new LEGO Friends sets, and wanted to know if the Mini-dolls are compatible in any way with minifigs? I'd quite like to get some sets for the new colours however I want to ensure the ...
17
votes
3answers
33k views

In what ways are LEGO and Megabloks incompatible?

I know that the basic bricks of LEGO and Megabloks fit together, but was wondering if other elements do too. Such as: Plates Rods (Ones Minifigures can hold, not Technic) Right angle (such as ...
27
votes
3answers
17k views

Are DUPLO blocks compatible with LEGO blocks in any way?

Can I build a model out of both DUPLO blocks and LEGO blocks? Do they fit together?
12
votes
2answers
4k views

Can I use RCX sensors and motors with the NXT brick?

I have a bunch of motors and sensors from the original Mindstorms set. It seems a shame I can't use these with the more recent NXT set. Are there any unofficial modifications that allow you to convert ...
5
votes
2answers
1k views

Can I use the old 12V rails with the remote trains?

I have a bunch of old 12v track. I am looking to get my son into LEGO, but I am thinking of getting the remote set so we can expand it some more. My question is, can I connect the new track to the ...
5
votes
1answer
984 views

Can 10153 9V train motor be powered by the Power Functions Battery pack?

I am currently making the switch to Power Functions with my Lego Train collection and am wondering if I can power the old 9v motors that I used with the metal rails, with a battery box from the power ...
3
votes
3answers
605 views

Is the LEGO Midstorms EV3 software compatible with OS X yosemite?

OS X Yosemite (10.10) was just released yesterday. I want to upgrade, but I am worried that the EV3 software will be incompatible. What should I do? A. Upgrade B. Stay on OS X Mavericks (10.9)
3
votes
1answer
254 views

Apart from the LEGO brick, is there any other hardware that has an NXT firmware written for it?

I am trying to find out if you can upload LEGO NXT byte-code to any other hardware, so I am just checking to see if anyone has ever written the LEGO firmware for any other hardware. Maybe hardware ...